Delete condition rules (bulk)
Deletes one or more condition rules by their IDs. Rules not found are recorded in FailedIds. Returns bulk delete result with counts of deleted and failed items.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
conditionId*string
The unique identifier of the condition whose rules should be deleted.
Format
uuidRequest Body
application/json
A list of unique identifiers for the condition rules to delete.
TypeScript Definitions
Use the request body type in TypeScript.
[index: integer]?string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v2/conditions/497f6eca-6276-4993-bfeb-53cbbbba6f08/rules" \ -H "Content-Type: application/json" \ -d '[ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ]'{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "requested": 0, "deleted": 0, "failed": 0, "failedIds": [ "6a469731-74bd-45ac-80d0-3572b92744af" ] }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}